<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>frontend-resources</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h3 id="perf">Perf</h3>
<ul>
<li>[ ] https://developers.google.com/web/fundamentals/performance/webpack/</li>
<li>[ ] https://iamakulov.com/notes/resize-scroll/</li>
<li>[ ] https://iamakulov.com/notes/optimize-images-webpack/</li>
<li>[ ] https://developers.google.com/web/fundamentals/performance/webpack/decrease-frontend-size</li>
<li>[ ] https://code.facebook.com/posts/557147474482256</li>
<li>[ ] www.phpied.com/rendering-repaint-reflowrelayout-restyle</li>
<li>[ ] https://blogs.windows.com/msedgedev/2017/03/08/scrolling-on-the-web/</li>
<li>[ ] https://developers.google.com/web/fundamentals/performance/lazy-loading-guidance/images-and-video/</li>
</ul>
<h3 id="case-studies">Case studies</h3>
<ul>
<li>[ ] https://github.com/andrew–r/frontend-case-studies</li>
<li>[ ] http://iamakulov.com/notes/walmart/</li>
</ul>
<h3 id="interviews">Interviews</h3>
<ul>
<li>[ ] https://performancejs.com/post/hde6d32/The-Best-Frontend-JavaScript-Interview-Questions-(Written-by-a-Frontend-Engineer)</li>
<li>[ ] https://github.com/nishant8BITS/123-Essential-JavaScript-Interview-Question</li>
<li>[ ] https://github.com/yangshun/tech-interview-handbook</li>
<li>[ ] https://github.com/IgnaciodeNuevo/frontend-development-interviews#questions-to-know-the-company-better</li>
<li>[ ] http://www.creativebloq.com/features/12-common-javascript-questions-answered</li>
<li>[ ] http://www.thatjsdude.com/interview/js1.html</li>
<li>[ ] http://www.thatjsdude.com/interview/js2.html</li>
<li>[ ] http://www.thatjsdude.com/interview/dom.html</li>
<li>[ ] https://github.com/khan4019/front-end-Interview-Questions</li>
<li>[ ] https://github.com/h5bp/Front-end-Developer-Interview-Questions</li>
</ul>
<h3 id="web">Web</h3>
<ul>
<li>[ ] https://howdns.works/</li>
<li>[ ] https://howhttps.works</li>
</ul>
<h3 id="architecture">Architecture</h3>
<ul>
<li>[ ] https://medium.com/<span class="citation" data-cites="cramforce/designing-very-large-javascript-applications-6e013a3291a3">@cramforce/designing-very-large-javascript-applications-6e013a3291a3</span></li>
<li>[ ] https://www.toptal.com/javascript/comprehensive-guide-javascript-design-patterns</li>
<li>[ ] https://addyosmani.com/resources/essentialjsdesignpatterns/book/</li>
</ul>
<h3 id="accessibility">Accessibility</h3>
<ul>
<li>[ ] https://developers.google.com/web/fundamentals/accessibility/how-to-review</li>
</ul>
<h3 id="node">Node</h3>
<ul>
<li>[ ] https://www.toptal.com/javascript/a-guide-to-npm-the-node-package-manager</li>
</ul>
<h3 id="js">JS</h3>
<ul>
<li>[ ] https://blog.mgechev.com/2018/01/29/javascript-decorators-aop-autobind-memoization/</li>
<li>[ ] https://developers.google.com/web/fundamentals/primers/async-functions</li>
<li>[ ] https://developers.google.com/web/fundamentals/primers/promises</li>
<li>[ ] https://www.toptal.com/javascript/asynchronous-javascript-async-await-tutorial</li>
<li>[ ] https://www.toptal.com/software/definitive-guide-to-datetime-manipulation</li>
<li>[ ] https://www.toptal.com/javascript/javascript-es6-cheat-sheet</li>
<li>[ ] https://www.safaribooksonline.com/library/view/es6-in-motion/10000MNLV201701/</li>
</ul>
<h3 id="css">CSS</h3>
<ul>
<li>[ ] https://www.smashingmagazine.com/2018/05/print-stylesheets-in-2018/</li>
</ul>
</body>
</html>
